Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.functions.map
Class ImmutableMap<K,V>

    java.lang.Object
      com.saxonica.functions.map.ImmutableMap<K,V>

    public class ImmutableMap<K,V>

extends Object

An immutable map. The put() operation which adds or clears an entry has the effect of creating a new map that is conceptually a modified copy of the old map; in fact the implementation is designed to share storage as far as possible.

Field Summary
`static String` | `NAMESPACE`
`static SequenceType` | `TYPE`

Constructor Summary
`ImmutableMap()` Create an empty map
`ImmutableMap(LinkedList<HashMap<K,V>> existing)` Create a new map based on supplied contents

Method Summary
`V` | `get(K key)` Get an entry from the Map
`Set<K>` | `keySet()` Get the set of all key values in the map.
`ImmutableMap<K,V>` | `put(K key, V value)` Add an entry to the Map

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final String NAMESPACE

See Also:
  Constant Field Values

### TYPE

    public static final SequenceType TYPE

Constructor Detail

### ImmutableMap

    public ImmutableMap()

  Create an empty map

### ImmutableMap

    public ImmutableMap(LinkedList<HashMap<K,V>> existing)

  Create a new map based on supplied contents

Method Detail

### put

    public ImmutableMap<K,V> put(K key,
                                 V value)

  Add an entry to the Map

### get

    public V get(K key)

  Get an entry from the Map

### keySet

    public Set<K> keySet()

  Get the set of all key values in the map. This will be a newly constructed set. The objects in the set are XPathComparable values representing the normalized values of the keys

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.